package com.sunxung.factoring.entity.sys.vo;

import java.util.Date;

import com.alibaba.fastjson.annotation.JSONField;
import com.sunxung.factoring.entity.BaseSearch;

/**
 * @className:SearchLoginLogVo
 * @description:登录日志查询类
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年1月23日 下午3:47:13
 */
public class SearchLoginLogVo extends BaseSearch {

    /** 登录时间 **/
    @JSONField(format = "yyyy-MM-dd")
    private Date loginTime;
    /** 登录日志类型的ID **/
    private Long logTypeId;
    /** 用户名 **/
    private String userName;

    public Date getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    public Long getLogTypeId() {
        return logTypeId;
    }

    public void setLogTypeId(Long logTypeId) {
        this.logTypeId = logTypeId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
